# Bank account movements

Retrieves bank account movements for a specific holding account.

Endpoint: GET /f/{businessCode}/{fundCode}/investment-data/holding-accounts/{holdingAccountId}/bank-account-movements
Version: 1.0
Security: Class_oAuth

## Security:

  - `Class_oAuth` (unknown)
    oauth2 scopes: fund.read

## Path parameters:

  - `businessCode` (string, required)
    Class business code

  - `fundCode` (string, required)
    Class entity code

  - `holdingAccountId` (string, required)
    The unique identifier (GUID) of the holding account

## Query parameters:

  - `startDate` (string, required)
    Start date for the reporting period (YYYY-MM-DD)

  - `endDate` (string, required)
    End date for the reporting period (YYYY-MM-DD)

## Response 200:

  - `200` (unknown)
    Success (Ok)

## Response 200 fields (application/json):

  - `Data` (object, required)

  - `Data.Links` (array)

  - `Data.Links.Url` (string)
    The URL to access the related resource
    Example: /f/demo-business/demo-fund/investment-data/holding-accounts/0d465630-1f7c-4b7f-88d5-c366af2f8018

  - `Data.Links.Relation` (string)
    The relationship type of the link (e.g., self, related)
    Example: self

  - `Data.Code` (string)
    The account code
    Example: Bank

  - `Data.Description` (string)
    The description of the bank account
    Example: Test CMA

  - `Data.CurrencyCode` (string)
    The currency of the bank account
    Example: AUD

  - `Data.Status` (string)
    The status of the account
    Example: Active

  - `Data.Balance` (object)

  - `Data.Balance.StartDate` (string)
    The start date of the balance period
    Example: 2024-07-01T00:00:00

  - `Data.Balance.EndDate` (string)
    The end date of the balance period
    Example: 2025-06-30T00:00:00

  - `Data.Balance.OpeningBalance` (number)
    The opening balance for the period
    Example: 96190.11

  - `Data.Balance.TotalDeposit` (number)
    The total amount deposited
    Example: 0

  - `Data.Balance.TotalWithdrawal` (number)
    The total amount withdrawn
    Example: 0

  - `Data.Balance.ClosingBalance` (number)
    The closing balance for the period
    Example: 96190.11

  - `Data.Transactions` (array)
    A list of bank account transactions

  - `Errors` (array)

  - `Errors.code` (string)

  - `Errors.message` (string)

## Response 400:

  - `400` (unknown)
    Error Message

## Response 400 fields (application/json):

  - `Errors` (array)

  - `Errors.code` (string)

  - `Errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_AUTHORISED

  - `Errors.Message` (string)
    Example: Not authorised

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: FORBIDDEN

  - `Errors.Message` (string)
    Example: You do not have permission to access this resource.

## Response 404:

  - `404` (unknown)
    Resource not available or user does not have access to the fund

## Response 404 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_FOUND

  - `Errors.Message` (string)
    Example: Resource not available or user does not have access to the fund.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

## Response default:

  - `default` (unknown)
    Unexpected error

## Response default fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

